Validate a BPAY Transaction
GET
https://api.mpay.com.au/bpay/v1/validate/{billerCode}
billerCodestringThe BPAY biller code to validate. billerCode must be numeric.
customerReferencestring<p><strong>Optional</strong>. BPAY Customer Reference Number (CRN). If this field is empty this denotes that the customerReferenceNumber is variable for each bill and should not be reused.</p>
amountstring<p><strong>Optional</strong>. Bill amount to be validated. Note if customerReference is not provided, amount will not validate as it is dependent on both the CRN and the Biller. The maximum value of the field is $9999999999.99.</p>
acceptstringGenerated from available response content types
200Successful response. The supplied BPAY details were validated.
400Bad Request. The request was malformed or contained invalid parameters.
401Unauthorized. Authentication failed because the API key was missing or invalid.
500Internal Server Error. An unexpected error occurred while processing the request.
curl --request GET \
--url 'https://api.mpay.com.au/bpay/v1/validate/{billerCode}?customerReference=987654321&amount=100.00' \
--header 'accept: application/json'